### Class

# WebKit2 BackForwardListItem

#### Description [src]

    class WebKit2.BackForwardListItem : GObject.InitiallyUnowned
    {
      priv: WebKitBackForwardListItemPrivate*
    }

One item of the `WebKitBackForwardList`.

A history item is part of the `WebKitBackForwardList` and consists out of a title and a URI.

#### Ancestors

- GInitiallyUnowned
- GObject

#### Instance methods

###### webkit_back_forward_list_item_get_original_uri

Obtain the original URI of the item.

###### webkit_back_forward_list_item_get_title

Obtain the title of the item.

###### webkit_back_forward_list_item_get_uri

Obtain the URI of the item.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2BackForwardListItemClass {
      GInitiallyUnownedClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GInitiallyUnownedClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.